package com.trade.service.contract.dto;

import java.util.List;

/**
 * 签署信息
 */
public class ContractSignInfo {

    private Long fileId;// 未签署文件id
    private ContractSigner singleSigner;// 签署人信息 当本次签署为单签时，signer为签署人信息，多签时以sealInfoList中的签署人信息为准
    private List<ContractSeal> sealInfoList; // 签章信息

    public Long getFileId() {
        return fileId;
    }

    public void setFileId(Long fileId) {
        this.fileId = fileId;
    }

    public ContractSigner getSingleSigner() {
        return singleSigner;
    }

    public void setSingleSigner(ContractSigner singleSigner) {
        this.singleSigner = singleSigner;
    }

    public List<ContractSeal> getSealInfoList() {
        return sealInfoList;
    }

    public void setSealInfoList(List<ContractSeal> sealInfoList) {
        this.sealInfoList = sealInfoList;
    }
}
